Get action brief
curl --request GET \
--url https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief \
--header 'Authorization: Bearer <token>'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devtune.ai/api/v2/projects/{projectId}/actions/{actionId}/brief', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionTitle": "<string>",
"hasBrief": true,
"status": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"goal": "<string>",
"targetAsset": "<string>",
"audienceContext": "<string>",
"recommendedOwner": "<string>",
"effortLabel": "<string>",
"acceptanceCriteria": [
"<string>"
],
"briefMarkdown": "<string>",
"sourceSnapshot": {}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Get action brief
Returns the stored brief status for an action together with the execution-ready markdown payload when a brief is ready.
GET
/
projects
/
{projectId}
/
actions
/
{actionId}
/
brief
Get action brief
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
⌘I